Loading...
Searching...
No Matches
tiny_dnn::node Class Reference

base class of all kind of tinny-cnn data More...

`#include <node.h>`

Inheritance diagram for tiny_dnn::node:
[legend]
Collaboration diagram for tiny_dnn::node:
[legend]

## Public Member Functions

| node (serial_size_t in_size, serial_size_t out_size)
const std::vector< edgeptr_t > & | prev () const
const std::vector< edgeptr_t > & | next () const
serial_size_t | prev_port (const edge &e) const
serial_size_t | next_port (const edge &e) const
std::vector< node * > | prev_nodes () const
std::vector< node * > | next_nodes () const

## Protected Attributes

std::vector< edgeptr_t > | prev_
std::vector< edgeptr_t > | next_

## Friends

void | connect (layerptr_t head, layerptr_t tail, serial_size_t head_index, serial_size_t tail_index)

## Detailed Description

base class of all kind of tinny-cnn data

The documentation for this class was generated from the following file:

- tiny_dnn/node.h